﻿<?xml version="1.0" encoding="UTF-8"?>
<match_rules>
    <description>
        "feature bit X
            1 is enable
            0 is disable
                bit 0   EFAETURE_AFT,
                    1   EFAETURE_SENSORHUB,
                    2   EFAETURE_SENSORMONITOR,
                    3   EFAETURE_BLUETOOTHPEN,
                    4   EFAETURE_UPDATEFW,
                    5   EFAETURE_FP_AUXILIARY,
            format : Decimal/Hex/bin are ok
                e.g. : 255 is the same as 0xff
        "
    </description>
	<version_info>
		<latest_update_time>2021.03.26</latest_update_time>
		<latest_update_author>00492120</latest_update_author>
	</version_info>
	<series>
		<series_target>P_Series</series_target>
		<rule>
			<target>P116920900</target>
			<method>starts_with</method>
			<feature>0xf2</feature>
			<source>
				<item>P11692</item>
			</source>
		</rule>
		<rule>
			<target>P116930900</target>
			<method>starts_with</method>
			<feature>0xff</feature>
			<source>
				<item>P11693</item>
			</source>
		</rule>
		<rule>
			<target>P116940900</target>
			<method>starts_with</method>
			<feature>0xff</feature>
			<source>
				<item>P11694</item>
			</source>
		</rule>
		<rule>
			<target>P1679R1300</target>
			<method>starts_with</method>
			<feature>0xf4</feature>
			<source>
				<item>P1679R</item>
			</source>
		</rule>
		<rule>
			<target>P1679X1301</target>
			<method>starts_with</method>
			<feature>0xf4</feature>
			<source>
				<item>P1679X</item>
			</source>
		</rule>
		<rule>
			<target>P168921300</target>
			<method>starts_with</method>
			<feature>0xf4</feature>
			<source>
				<item>P168</item>
			</source>
		</rule>
		<rule>
			<target>P172921300</target>
			<method>starts_with</method>
			<feature>252</feature>
			<source>
				<item>P17292</item>
			</source>
		</rule>
		<rule>
			<target>P173921300</target>
			<method>starts_with</method>
			<feature>252</feature>
			<source>
				<item>P17392</item>
			</source>
		</rule>
		<rule>
			<target>P1739S1300</target>
			<method>starts_with</method>
			<feature>252</feature>
			<source>
				<item>P1739S</item>
			</source>
		</rule>
		<rule>
			<target>P265A31300</target>
			<method>starts_with</method>
			<feature>0xf4</feature>
			<source>
				<item>P265A3</item>
			</source>
		</rule>
		<rule>
			<target>P2659S1300</target>
			<method>starts_with</method>
			<feature>0xf4</feature>
			<source>
				<item>P2659S</item>
			</source>
		</rule>
		<rule>
			<target>P266A11300</target>
			<method>starts_with</method>
			<feature>0xf4</feature>
			<source>
				<item>P266</item>
			</source>
		</rule>
	</series>
	<series>
		<series_target>B_Series</series_target>
		<rule>
			<target>B121691100</target>
			<method>starts_with</method>
			<feature>0xff</feature>
			<source>
				<item>B12169</item>
			</source>
		</rule>
		<rule>
			<target>B121681400</target>
			<method>starts_with</method>
			<feature>0xff</feature>
			<source>
				<item>B12168</item>
			</source>
		</rule>
		<rule>
			<target>B121771400</target>
			<method>starts_with</method>
			<feature>0xff</feature>
			<source>
				<item>B12177</item>
			</source>
		</rule>
		<rule>
			<target>B146691100</target>
			<method>starts_with</method>
			<feature>0xff</feature>
			<source>
				<item>B14669</item>
			</source>
		</rule>
		<rule>
			<target>B146681400</target>
			<method>starts_with</method>
			<feature>0xff</feature>
			<source>
				<item>B14668</item>
			</source>
		</rule>
		<rule>
			<target>B146771400</target>
			<method>starts_with</method>
			<feature>0xff</feature>
			<source>
				<item>B14677</item>
			</source>
		</rule>
	</series>
	<series>
		<series_target>S_Series</series_target>
	</series>
	<series>
		<series_target>W_Series</series_target>
		<rule>
			<target>W1579X0900</target>
			<method>match</method>
			<feature>252</feature>
			<source>
				<item>W1579X0900</item>
			</source>
		</rule>
	</series>
	<series>
		<series_target>Y_Series</series_target>
	</series>
	<series>
		<series_target>G_Series</series_target>
	</series>
	<series>
		<series_target>Others</series_target>
		<rule>
			<target>EMLY591600</target>
			<method>match</method>
			<feature>0xff</feature>
			<source>
				<item>EMLY590800</item>
				<item>EMLY591000</item>
				<item>EMLY601600</item>
				<item>EMLY600800</item>
				<item>EMLY611000</item>
				<item>EMLY591300</item>
				<item>EMLY661300</item>
				<item>EMLY601601</item>
				<item>EMLY600801</item>
				<item>EMLY591010</item>
				<item>EMLY591001</item>
			</source>
		</rule>
		<rule>
			<target>P1679R1300</target>
			<pid>P1679R0900</pid>
			<method>match</method>
			<feature>0xf4</feature>
			<source>
				<item>dummy</item>
			</source>
		</rule>
		<rule>
			<target>P1679X1301</target>
			<pid>P1679X1301</pid>
			<method>match</method>
			<feature>0xf4</feature>
			<source>
				<item>W1579X0900</item>
			</source>
		</rule>
		<rule>
			<target>KANAA41300</target>
			<pid>KANAA41300</pid>
			<method>match</method>
			<feature>0xf4</feature>
			<source>
				<item>W1309K0000</item>
			</source>
		</rule>
		<rule>
			<target>EMLY620800</target>
			<method>match</method>
			<feature>0xff</feature>
			<source>
				<item>EMLY621600</item>
			</source>
		</rule>
		<rule>
			<target>HIMA620800</target>
			<method>match</method>
			<feature>0xff</feature>
			<source>
				<item>HIMA621600</item>
			</source>
		</rule>
		<rule>
			<target>W1699L1200</target>
			<pid>W1699L1310</pid>
			<method>starts_with</method>
			<feature>252</feature>
			<source>
				<item>W1699L13</item>
			</source>
		</rule>
		<rule>
			<target>JHSN591300</target>
			<method>match</method>
			<feature>0xff</feature>
			<source>
				<item>JACK591300</item>
			</source>
		</rule>
		<rule>
			<target>JHSN691300</target>
			<method>match</method>
			<feature>0xff</feature>
			<source>
				<item>JHSN690000</item>
			</source>
		</rule>
		<rule>
			<target>JACK691300</target>
			<method>match</method>
			<feature>0xff</feature>
			<source>
				<item>JACK690000</item>
			</source>
		</rule>
		<rule>
			<target>JHSN771100</target>
			<method>match</method>
			<feature>0xff</feature>
			<source>
				<item>JHSN771400</item>
			</source>
		</rule>
		<rule>
			<target>JACK771100</target>
			<method>match</method>
			<feature>0xff</feature>
			<source>
				<item>JACK771400</item>
			</source>
		</rule>
		<rule>
			<target>P085780900</target>
			<method>starts_with</method>
			<feature>0xff</feature>
			<source>
				<item>P08578</item>
			</source>
		</rule>
		<rule>
			<target>P086781300</target>
			<method>starts_with</method>
			<feature>0xff</feature>
			<source>
				<item>P08678</item>
			</source>
		</rule>
		<rule>
			<target>HARY771100</target>
			<method>match</method>
			<feature>0xff</feature>
			<source>
				<item>HARY771300</item>
				<item>HARY771700</item>
			</source>
		</rule>
		<rule>
			<target>POTR771100</target>
			<method>match</method>
			<feature>0xff</feature>
			<source>
				<item>POTR771300</item>
				<item>POTR771700</item>
			</source>
		</rule>
		<rule>
			<target>POTR691100</target>
			<method>match</method>
			<feature>0xff</feature>
			<source>
				<item>POTR691300</item>
				<item>POTR690300</item>
			</source>
		</rule>
		<rule>
			<target>STAK772700</target>
			<method>starts_with</method>
			<feature>0xff</feature>
			<source>
				<item>STAK77</item>
			</source>
		</rule>
		<rule>
			<target>STAK691300</target>
			<method>starts_with</method>
			<feature>0xff</feature>
			<source>
				<item>STAK69</item>
			</source>
		</rule>
		<rule>
			<target>B165961100</target>
			<method>starts_with</method>
			<feature>0xff</feature>
			<source>
				<item>B16596</item>
			</source>
		</rule>
		<rule>
			<target>B165771300</target>
			<method>starts_with</method>
			<feature>0xff</feature>
			<source>
				<item>B16577</item>
			</source>
		</rule>
		<rule>
			<target>B166961100</target>
			<method>starts_with</method>
			<feature>0xff</feature>
			<source>
				<item>B16696</item>
			</source>
		</rule>
		<rule>
			<target>B166771300</target>
			<method>starts_with</method>
			<feature>0xff</feature>
			<source>
				<item>B16677</item>
			</source>
		</rule>
		<rule>
			<target>KANAA41300</target>
			<method>starts_with</method>
			<feature>252</feature>
			<source>
				<item>KANAA4</item>
			</source>
		</rule>
	</series>
</match_rules>
